package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.TCcdata;
import com.chinaitop.depot.storage.model.TCcdataExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TCcdataMapper {
    int countByExample(TCcdataExample example);

    int deleteByExample(TCcdataExample example);

    int insert(TCcdata record);

    int insertSelective(TCcdata record);

    List<TCcdata> selectByExampleWithBLOBs(TCcdataExample example);

    List<TCcdata> selectByExample(TCcdataExample example);

    int updateByExampleSelective(@Param("record") TCcdata record, @Param("example") TCcdataExample example);

    int updateByExampleWithBLOBs(@Param("record") TCcdata record, @Param("example") TCcdataExample example);

    int updateByExample(@Param("record") TCcdata record, @Param("example") TCcdataExample example);

    int updateByPrimaryKeyWithBLOBs(TCcdata record);

    void insertBatch(List<TCcdata> tCcdata);

    List<Map<String,Object>> getList(Map<String, Object> map);

    /**
     * 获得害虫检查单号
     * @param map
     * @return
     */
    List<Map<String,Object>> getJcd(Map<String, Object> map);

    /**
     * 查询最后一个检测单号
     * @return
     */
    String getLastJCDH();

    // 获取廒间编码-查询视图(货位id)
    String getAJBM(@Param("hwCode") String hwCode);

    Map<String, Object> getCheckGrainAttribute(@Param("orgId") Integer orgId, @Param("houseId") Integer houseId, @Param("warehouseId") Integer warehouseId);
}